/**
 * @file wiring.c
 * @brief Provides Arduino types and functions on the Propeller
 *
 * Copyright (c) 2013 by Martin Heermance
 * MIT Licensed
 */

#include <Arduino.h>

static const int Us = 1000000;
static const int Ms = 1000;

void delay(unsigned long Time)
{
  waitcnt(((Time * (CLKFREQ / Ms)) + CNT));
}

void delayMicroseconds(uint16_t Time)
{
  waitcnt(((Time * (CLKFREQ / Us)) + CNT));
}
